.header-box {
  height: 100vh; /* 视口高度的100% */
  width: 100%;
  background: url("https://oss-sz-file-ftp.kolify.cn/acadsocAi/homepage-bg.png")
    no-repeat center center;
  background-size: 100% 100%;
  position: relative;
  overflow: hidden;
}
.sun-img {
  width: 280px;
  height: 342px;
  position: absolute;
  top: 0px;
  right: 0px;
  z-index: 11;
}
.header-box .loginDv {
  width: 1440px;
  height: 70px;
  margin: 40px auto 100px auto;
  border: 2px solid #e2d3db;
  box-sizing: border-box;
  box-shadow: 4px 4px 0px 0px #e2d3db;
  border-radius: 20px;
  background: #ffffff;
  position: relative;
  z-index: 12;
}
.login-flex {
  padding-left: 24px;
  padding-right: 64px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
}
.login-flex .login-img {
  width: 150px;
  height: 28px;
}
.login-list {
  display: flex;
  list-style: none;
}
.login-list a {
  text-decoration: none;
  color: #222;
  font-weight: 500;
  transition: color 0.3s ease;
}
.login-list a.bench {
  font-weight: bold;
  font-size: 16px;
  color: #222;
  border: 2px solid #222;
  box-shadow: 3px 3px 0px 0px #222;
  padding: 0px 16px;
  border-radius: 16px;
  background-color: #fff;
  display: block;
  height: 40px;
  line-height: 36px;
  box-sizing: border-box;
}
.login-list .login {
  font-style: bold;
  font-weight: 700;
  font-size: 16px;
  margin-left: 48px;
  height: 40px;
  line-height: 40px;
}
.header-main {
  width: 1440px;
  text-align: center;
  margin: 0 auto;
  position: relative;
  color: #fff;
}
.header-main .txt1 {
  font-weight: 700;
  font-size: 64px;
}
.header-main-img {
  width: 1008px;
  height: 166px;
}
.hero-anim-img {
  position: relative;
  width: 280px;
  height: 100px; /* 根据你的文字高度调整 */
  margin: 10px auto 20px auto;
}
.hero-anim-img {
  position: relative;
  width: 516px;
  margin: 10px auto 20px auto;
}

.curiosity-img {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  height: 80px;
  object-fit: contain; /* 保持图片比例 */
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.8s ease,
    visibility 0.8s;
}

.curiosity-img.active {
  opacity: 1;
  visibility: visible;
}
.header-main .txt2 {
  font-size: 22px;
  margin-bottom: 48px;
}
.header-main .btnDv {
  width: 280px;
  height: 72px;
  line-height: 72px;
  font-size: 22px;
  font-weight: 700;
  border-radius: 24px;
  background: linear-gradient(90deg, #ff3f64 0%, #ff6d00 100%);
  box-shadow: 4px 4px 0px 0px #222222;
  margin: 0 auto;
  cursor: pointer;
}
.rocket-img {
  position: absolute;
  left: 50px;
  bottom: -30px;
  width: 220px;
}
.input-box {
  width: 100%;
  min-height: 200px;
  background: linear-gradient(119.36deg, #bbe5f9 0%, #fff2ed 100%);
  overflow: hidden;
  margin-top: -110px;
  text-align: center;
}
.input-box .txt {
  font-size: 64px;
  font-weight: 700;
  color: #fff;
  margin-top: 48px;
  margin: 255px auto 64px auto;
  -webkit-text-stroke: 5px #222;
  text-shadow: 5px 5px 0rem #222222;
  letter-spacing: -0.09rem;
  paint-order: stroke;
}
.input-box .inputDv {
  width: 760px;
  height: 160px;
  margin: 0 auto 32px auto;
  border: 2px solid #222222;
  box-sizing: border-box;
  border-radius: 24px;
  background: #fff;
  box-shadow: 8px 8px 0px 0px #d6d8da inset;
  position: relative;
}
.input-box .inputDv .input-txt {
  width: calc(100% - 8px);
  height: calc(100% - 8px);
  padding: 20px;
  box-sizing: border-box;
  border: 2px solid #222;
  border-radius: 20px;
  font-size: 20px;
  font-weight: 700;
  color: #222;
  margin-top: 8px;
  line-height: 20px;
  resize: none;
  border: none;
  outline: none;
  font-family: Resource Han Rounded CN;
}
.input-txt::placeholder {
  font-weight: 700;
  font-size: 20px;
  color: #666;
}
.input-txt:focus {
  outline: none;
  border-color: #66afe9;
  box-shadow: 0 0 5px rgba(102, 175, 233, 0.6);
}

.typing-cursor {
  position: absolute;
  color: #666;
  pointer-events: none; /* 让光标不阻挡鼠标事件 */
  animation: blink 1s infinite;
  z-index: 2;
  left: 18px;
  top: 25px;
  font-size: 20px;
  line-height: 20px;
  font-weight: 700;
  display: none; /* 默认隐藏 */
}

/* 光标闪烁动画 */
@keyframes blink {
  0%,
  50% {
    opacity: 1;
  }
  51%,
  100% {
    opacity: 0;
  }
}

/* 当输入框有内容时隐藏光标 */
.textarea-wrapper.has-content .typing-cursor {
  display: none !important;
}

/* 当输入框获取焦点时隐藏光标 */
.textarea-wrapper.focused .typing-cursor {
  display: none !important;
}
.next {
  width: 117px;
  height: 40px;
  background: #ff631f;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: 16px;
  bottom: 16px;
  border-radius: 20px;
  cursor: pointer;
}
.next .desc {
  font-size: 16px;
  font-weight: 700;
  color: #fff;
  margin-right: 16px;
  height: 16px;
  line-height: 16px;
  font-family: Resource Han Rounded CN;
}
.next .right-icon {
  width: 16px;
  height: 16px;
}
.tipsDv {
  width: 760px;
  margin: 0 auto 32px auto;
  height: 36px;
  position: relative;
}
.tipsDv .title {
  font-size: 22px;
  font-weight: 700;
  color: #222;
  text-align: center;
  width: 100%;

  line-height: 36px;
}
.tips-flex {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  cursor: pointer;
}
.tips-flex .tips-img {
  width: 20px;
  height: 20px;
  margin-right: 4px;
}
.tips-flex .tips-desc {
  font-size: 18px;
  font-weight: 700;
  color: #ff7914;
}

.change-box {
  width: 860px;
  margin: 0 auto 108px auto;
}
.change-box .box-list {
  padding-left: 56px;
  padding-right: 56px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}
.box-list-item {
  height: 40px;
  line-height: 36px;
  border: 2px solid #ccd6ee;
  box-shadow: 3px 3px 0px 0px #ccd6ee;
  border-radius: 16px;
  padding: 0px 20px;
  box-sizing: border-box;
  margin-right: 12px;
  margin-bottom: 12px;
  background: #fff;
  cursor: pointer;
  font-size: 16px;
}
.box-list-item:hover {
  border: 2px solid #97aee4;
  box-shadow: 3px 3px 0px 0px #97aee4;
}
.creativity-box {
  width: 100%;
  min-height: 300px;
  background: linear-gradient(119.36deg, #feeddb 0%, #e3dff0 100%);
  padding-bottom: 96px;
}
.creativity-box .title {
  font-size: 64px;
  font-weight: 700;
  color: #fff;
  padding-top: 80px;
  margin-bottom: 80px;
  text-align: center;
  -webkit-text-stroke: 5px #222;
  text-shadow: 5px 5px 0rem #222222;
  letter-spacing: -0.09rem;
  paint-order: stroke;
}
/* 滚动容器 */
.scroll-section {
  width: 100%;
}
.scroll-section::-webkit-scrollbar {
  width: 0px;
  height: 0px;
  background-color: transparent;
}

/* 每个步骤卡片 */
.step-card {
  padding-left: 120px;
  padding-right: 120px;
  min-height: 660px;
  scroll-snap-align: start; /* 卡片顶部对齐 */
  display: flex;
  position: -webkit-sticky; /* 兼容 Safari */
  position: sticky;
  top: 0; /* 当元素距离视口顶部为0时触发固定 */
  margin-bottom: 60px;
}
.step-card:last-child {
  margin-bottom: 0px;
}
.step-card .left-box {
  width: 50%;
  height: 660px;
  background: #ffffff;
  border-radius: 24px 0px 0px 24px;
}
.step-card .right-img {
  width: 50%;
  height: 660px;
}
.exploration-box {
  width: 100%;
  min-height: 600px;
  background: linear-gradient(119.36deg, #f5d6f3 0%, #ced5ef 100%);
  text-align: center;
  overflow: hidden;
}
.exploration-box .img {
  width: 835px;
  height: 88px;
  margin: 112px auto 88px auto;
}
.swiper {
  height: 640px;
  margin-bottom: 112px;
}
.swiper-slide {
  width: 1040px !important; /* 固定中间图片完全显示的宽度 */
  height: 100%;
}
.swiper-slide .swiper-slide-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/* 正确写法：使用 and 连接条件 */
@media screen and (min-width: 1500px) and (max-width: 1700px) {
  .step-card {
    padding-left: 80px;
    padding-right: 80px;
  }
}
@media screen and (max-width: 1480px) {
  .step-card {
    padding-left: 70px;
    padding-right: 70px;
  }
}
/* 正确写法：使用 and 连接条件 */
@media screen and (max-width: 1159px) {
  .step-card {
    padding-left: 60px;
    padding-right: 60px;
  }
}

.box-center {
  margin: 56px;
  width: calc(100% - 112px);
  height: calc(100% - 112px);
  position: relative;
}
.box-center .txt {
  font-size: 16px;
  color: #222;
  margin-bottom: 220px;
}
.box-center .desc {
  font-size: 24px;
  color: #222;
  font-weight: bold;
  margin-bottom: 45px;
}
.start-btn {
  display: block;
  width: 240px;
  height: 72px;
  line-height: 72px;
  text-align: center;
  border-radius: 24px;
  background: linear-gradient(90deg, #ff3f64 0%, #ff6d00 100%);
  box-shadow: 4px 4px 0px 0px #222222;
  font-size: 24px;
  font-weight: 700;
  color: #fff;
  cursor: pointer;
  text-decoration: none;
  position: absolute;
  bottom: 0px;
  left: 0;
}
@media screen and (max-width: 1839px) {
  .sun-img {
    width: 160px;
    height: 190px;
  }
}
